import * as React from "react";
declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
declare type PartialHTMLElement = Omit<React.HTMLProps<HTMLDivElement>, "children" | "className" | "ref">;
declare const enum Position {
    HIDDEN = "hidden",
    PINNED = "pinned",
    UNFIXED = "unfixed"
}
declare type RenderProp = (props: Position) => JSX.Element;
interface BaseProps extends PartialHTMLElement {
    readonly children: RenderProp | React.ReactNode;
    readonly className?: string;
    readonly disabled?: boolean;
}
declare const _default: React.ForwardRefExoticComponent<BaseProps & React.RefAttributes<HTMLDivElement>>;
export default _default;
